#include <sys/buf.h>

void	buf_brelse(buf_t A){};
errno_t	buf_strategy(vnode_t A, void * B){};
errno_t	buf_meta_bread(vnode_t A, daddr64_t B, int C, ucred_t D, buf_t * E){} ;


/*buf_vnode

vnode_t buf_vnode(
    buf_t);  
Discussion 

return the vnode_t associated with buf_t*/

vnode_t buf_vnode(
    buf_t A){};  


/*buf_dataptr

uintptr_t buf_dataptr(
    buf_t);  
Discussion 

retrieve pointer to buffer associated with buf_t if non-null, than guaranteed to be kernel addressable size of buffer can be retrieved via buf_size size of valid data can be retrieved via buf_count if NULL, than use buf_map/buf_unmap to manage access to the underlying storage*/
uintptr_t buf_dataptr(
    buf_t A){};  

